Public Member Functions | Private Attributes

# AIListSorterItemDescending Class Reference

Sort by item, descending. More...

Inheritance diagram for AIListSorterItemDescending:

## Public Member Functions
| AIListSorterItemDescending (AIList *list)
| Create a new sorter.
int32 | Begin ()
| Get the first item of the sorter.
void | End ()
| Stop iterating a sorter.
void | FindNext ()
| Find the next item, and store that information.
int32 | Next ()
| Get the next item of the sorter.
void | Remove (int item)
| Callback from the list if an item gets removed.
## Private Attributes
AIList::AIListMap::iterator | item_iter
| The iterator over the items in the map.

## Detailed Description

Sort by item, descending.

Definition at line 314 of file ai_list.cpp.

## Constructor & Destructor Documentation

AIListSorterItemDescending::AIListSorterItemDescending | ( | AIList * | list | ) | `[inline]`

Create a new sorter.

Parameters:

  | list | The list to sort.

Definition at line 323 of file ai_list.cpp.

References End().

The documentation for this class was generated from the following file:

- src/ai/api/ai_list.cpp